Bug Hunting Session
Bug 50792 - FILESAVE: Slideshow transitions and automatic progression lost when exported to Flash
Summary: FILESAVE: Slideshow transitions and automatic progression lost when exported ...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 72913 77840 (view as bug list)
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2012-06-06 11:41 UTC by Tom Williams
Modified: 2017-08-13 10:04 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
SWF file generated with LibreOffice Impress (273.34 KB, application/x-shockwave-flash)
2012-06-06 11:41 UTC, Tom Williams
Details
Original Impress presentation used to export to Flash file. (2.84 MB, application/vnd.oasis.opendocument.presentation)
2013-01-09 17:18 UTC, Tom Williams
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Williams 2012-06-06 11:41:28 UTC
Created attachment 62678 [details]
SWF file generated with LibreOffice Impress

Problem description: 

Steps to reproduce:
1. Create a slideshow
2. Add some slides with various transitions
3. Set slides to automatically advance after a few seconds
4. Export slideshow to Macromedia Shockwave Flash (SWF) format
5. Open SWF file in Firefox
6. Notice, the slideshow doesn't advance unless a slide is clicked.  Also, notice the transitions are gone.

Current behavior:
The slideshow doesn't automatically progress and the transitions are gone.

Expected behavior:
The slideshow should automatically progress and the transitions should remain intact.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0
Comment 1 bfoman (inactive) 2013-01-09 11:00:53 UTC
Could you attach the original Impress document to allow others to check export on different system/build?
Comment 2 Tom Williams 2013-01-09 17:18:05 UTC
Created attachment 72734 [details]
Original Impress presentation used to export to Flash file.

The original Impress presentation I created as a test case is now attached. Sorry for not attaching it before.

Thanks!
Comment 3 NoOp 2013-01-22 02:51:37 UTC
Verified in:
LibreOffice 3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
Version 3.6.4.3 (Build ID: 2ef5aff)
Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0

Tested with:
User agent: Mozilla/5.0 (X11; Linux x86_64; rv:18.0) Gecko/20100101 Firefox/18.0 SeaMonkey/2.15
Mozilla/5.0 (X11; Linux x86_64; rv:18.0) Gecko/20100101 Firefox/18.0
Mozilla/5.0 (Windows NT 5.1; rv:18.0) Gecko/20100101 Firefox/18.0
Comment 4 ign_christian 2013-06-04 03:20:04 UTC
I can confirm reproducible on LO 4.0.4.1 (Win7 32bit), same behavior as comment 0 using IE 9 or Chrome 26
Comment 5 Thorsten Behrens (CIB) 2013-06-04 07:03:50 UTC
Yes, this is a missing feature in the flash exporter, thus setting this to 'enhancement'. There is, though, an experimental svg export that has effects and transitions working, for that you currently have to enable our 'experimental features' in Tools->Options->General->Advanced.
Comment 6 Tom Williams 2013-06-04 13:22:26 UTC
Thanks for the info on the SVG export experimental feature.  I'll give that a try.  :)
Comment 7 ign_christian 2014-10-06 14:55:48 UTC
*** Bug 72913 has been marked as a duplicate of this bug. ***
Comment 8 ign_christian 2014-10-06 15:00:05 UTC
*** Bug 77840 has been marked as a duplicate of this bug. ***
Comment 9 Tom Williams 2017-05-25 15:48:39 UTC
Since Flash is almost dead now, would it be prudent to just close this bug report as a "Won't Fix"?

Thanks!

Peace...